Bug 37792 - Reload apache crash
Reload apache crash
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Apache
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Stefan Gohmann
Sönke Schwardt-Krummrich
:
Depends on:
Blocks: 37952
  Show dependency treegraph
 
Reported: 2015-02-12 20:35 CET by Stefan Gohmann
Modified: 2015-04-23 10:12 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
01_base.99check_log_files 01_base.84apache_reload.test (191 bytes, text/plain)
2015-04-23 10:12 CEST, Philipp Hahn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-02-12 20:35:21 CET
This happens on UCS:
 https://issues.kolab.org/show_bug.cgi?id=2050

If the kolab php modules are loaded, a apache reload results in a apache crash.

As a first workaround the apache init script should recognize this situation and restart the apache, for example:

  if $APACHE2CTL graceful $2 ; then
    log_end_msg 0
    if ! timeout 1 apache2ctl status >/dev/null; then 
       pkill -9 -f '^/usr/sbin/apache2 -k'
       $0 restart
    fi
  else
    ...
Comment 1 Stefan Gohmann univentionstaff 2015-02-13 07:25:48 CET
The apache is now killed and restarted if a reload fails: r14378 + r14379

I've also added two basic apache tests to ucs-test: r58035
 - 01_base/83apache_configtest
 - 01_base/84apache_reload

This update will be released as erratum for UCS 4.0-0 and UCS 4.0-1. Since we added the Debian 7.8 update including a new apache package to UCS 4.0-1, this upgrade will include the Debian 7.8 apache upgrade for UCS 4.0-0.

YAML: 58034
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-02-13 12:06:14 CET
OK: Test with UCS 4.0-0
OK: Test with UCS 4.0-1
OK: Test with kolab installation
OK: behaviour if apache is not running
OK: behaviour during reload
OK: behaviour if apache hangs during reload
OK: YAML
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2015-02-13 12:18:18 CET
OK: ucs-test scripts (fixed test description of 84apache_reload)
Comment 4 Moritz Muehlenhoff univentionstaff 2015-02-17 08:26:14 CET
http://errata.univention.de/ucs/4.0/84.html